GNU bug report logs - #22673
execute-kbd-macro doesn't handle strings with characters in range (0x80..0xFF) correctly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Thomas Lynch <thomas.lynch@HIDDEN>; dated Mon, 15 Feb 2016 06:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 6 Jun 2018 07:39:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 03:39:36 2018
Received: from localhost ([127.0.0.1]:35817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQT2e-0002UN-Oo
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 03:39:36 -0400
Received: from mx2.suse.de ([195.135.220.15]:54191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1fQT2c-0002U8-BK
 for 22673 <at> debbugs.gnu.org; Wed, 06 Jun 2018 03:39:34 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext-too.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 8F919ADF4;
 Wed,  6 Jun 2018 07:39:27 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 <mvmvb5qnukz.fsf@HIDDEN> <87sh606atu.fsf@HIDDEN>
X-Yow: ..I must be a VETERINARIAN..
Date: Wed, 06 Jun 2018 09:39:27 +0200
In-Reply-To: <87sh606atu.fsf@HIDDEN> (Noam Postavsky's message of "Tue, 05
 Jun 2018 20:02:53 -0400")
Message-ID: <mvm602wmki8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22673
Cc: Thomas Lynch <thomas.lynch@HIDDEN>, 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Jun 05 2018, Noam Postavsky <npostavs@HIDDEN> wrote:

> (execute-kbd-macro [?¬]) works, but shouldn't the string version work
> too?  I see that it fails because of this statement in keyboard.c:

Strings as key sequence are legacy and can only contain ASCII and
Meta-ASCII characters.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.
Changed bug title to 'execute-kbd-macro doesn't handle strings with characters in range (0x80..0xFF) correctly' from '24.5; global set key neg freaks out emacs' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 6 Jun 2018 00:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 05 20:03:03 2018
Received: from localhost ([127.0.0.1]:35638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQLup-0007ca-Bu
	for submit <at> debbugs.gnu.org; Tue, 05 Jun 2018 20:03:03 -0400
Received: from mail-io0-f196.google.com ([209.85.223.196]:42795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1fQLun-0007c1-65; Tue, 05 Jun 2018 20:03:01 -0400
Received: by mail-io0-f196.google.com with SMTP id r24-v6so5536780ioh.9;
 Tue, 05 Jun 2018 17:03:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=jMOj+84fUr8bKI4+v41IR5Q5tvf+fbdtn0+xxEffGuE=;
 b=CDLFUnchvinG+3lXxkD59cJOcV3uHASGdhMCfjFa9RN9fjqLTAfrvCiesD8dWxwLK6
 kI48eWyckyu2y+7pdVVeO5In1OtFvUtE8dKqjI2PwNCBOaJal9ps23WiknASio/dLamn
 1Qmp6+gnc85M3HhVrF8xj67ZLLiz7fAsexw4Rku4juyPurNkAxqGFC+YKyPAKH9A6MsT
 XbsVWGYtIcZKAclbXw2ucduyIiZqBHh2yB+mJboMzUARh562xrs48VEqamhniIvepAVI
 1gDOqeVti0hVKL3P/6u5jNlRAcqMSNzvR2IGXF13/unYJcEtsVDTgUll6Q6L/J5XRh3S
 6/vA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=jMOj+84fUr8bKI4+v41IR5Q5tvf+fbdtn0+xxEffGuE=;
 b=P9FT+yXXVXwe1k3IEwaSrEZP1PkCaDhVBwHZQo99Srx6RaUUkWe9oea/lM3q6zsT/Y
 FJcowqKRbyhz5tolGUH4UzfzV9Qp3TlCwGwxXFCLDroaMj8AK2Rb3BueYDH5ecU6QmYz
 N3zhWnHa9VPIaScdBQHbuptVmlMovJ0Rh5KpFK+FBepII7qm3NFlAwkcEtGMccgGJeBc
 ZSmC2eVOrN0X0skndZdtL4J798GTKQ/37FsSxFFPijavy9as5j/Ag1T+BQTuekPXLm+2
 MfesON362WmlNBLV85a8jcy6801MKJ7l1FLQmoqraHIJBpmqqB/ifpbBeJ/MVGZolKgn
 JSiA==
X-Gm-Message-State: APt69E38mKxIPb3u7Bm1LOu603chFGB+aZCVIK1zMieLGcEO8Z2K02En
 2heTClmE70suxsjRTfnrHrXQo8An
X-Google-Smtp-Source: ADUXVKIiVTcJeS5Rd/lnIdtYxs2OsUwk4d50YSxWdGgvWOKkD5qavIqEf1dkXkq35a2StNso1Jkjfg==
X-Received: by 2002:a6b:f418:: with SMTP id i24-v6mr831916iog.34.1528243375684; 
 Tue, 05 Jun 2018 17:02:55 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 k15-v6sm5987163ioh.26.2018.06.05.17.02.54
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 05 Jun 2018 17:02:55 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 <mvmvb5qnukz.fsf@HIDDEN>
Date: Tue, 05 Jun 2018 20:02:53 -0400
In-Reply-To: <mvmvb5qnukz.fsf@HIDDEN> (Andreas Schwab's message of
 "Mon, 15 Feb 2016 11:20:28 +0100")
Message-ID: <87sh606atu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 22673
Cc: Thomas Lynch <thomas.lynch@HIDDEN>, 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

retitle 22673 execute-kbd-macro doesn't handle strings with characters in r=
ange (0x80..0xFF) correctly
quit

Andreas Schwab <schwab@HIDDEN> writes:

> Thomas Lynch <thomas.lynch@HIDDEN> writes:
>
>> Evaluate the following
>>
>>    (global-set-key (kbd "C-x g neg") "=C2=AC")

A more straightforward way is (execute-kbd-macro "=C2=AC").  Use

(setq debug-ignored-errors (remq 'user-error debug-ignored-errors)
      debug-on-error t)

to get a backtrace.

> This is the same as binding [?\C-x ?g ?n ?e ?g] to [?\M-,].  You should
> use the vector notation instead:
>
> (global-set-key (kbd "C-x g neg") [?=C2=AC])

(execute-kbd-macro [?=C2=AC]) works, but shouldn't the string version work
too?  I see that it fails because of this statement in keyboard.c:

      c =3D Faref (Vexecuting_kbd_macro, make_number (executing_kbd_macro_i=
ndex));
      if (STRINGP (Vexecuting_kbd_macro)
          && (XFASTINT (c) & 0x80) && (XFASTINT (c) <=3D 0xff))
        XSETFASTINT (c, CHAR_META | (XFASTINT (c) & ~0x80));

Which transforms ?=C2=AC (aka #xac) into #x800002c =3D=3D (event-convert-li=
st '(meta ?,))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 15 Feb 2016 13:24:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 08:24:54 2016
Received: from localhost ([127.0.0.1]:39496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVJ94-0005aj-BE
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 08:24:54 -0500
Received: from mail-ig0-f182.google.com ([209.85.213.182]:32882)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aVJ93-0005aX-0O
 for 22673 <at> debbugs.gnu.org; Mon, 15 Feb 2016 08:24:53 -0500
Received: by mail-ig0-f182.google.com with SMTP id y8so74849662igp.0
 for <22673 <at> debbugs.gnu.org>; Mon, 15 Feb 2016 05:24:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=reasoningtechnology-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=LpheKYlxr085k4IvoWd989bZzontNXCfwYpWD5d95ME=;
 b=ed+B5qeurWqwugGvqGq6JRRZ2IEXJV3XibfMpMoPN2F/DzafTOLMggZWgiMIlmxSoV
 /C02zfwEKYOQuSR8HCzTEXr2ExaqzHvsVagMDVpEwZiXAof+D/0IDJXplDUKMlgzWAt7
 sAbc9QxDzYlqbEv5lPqDcHUcqIfYZC/zlxaJPRzVQrMWARmI9g7AyPgPnk7YmSMFprrV
 YPxf7n1gOoFEnP6jJrewf4mYDy/TCZSAWnX0i7GeIXmgWwpKFLJC4jEUJHFEfwvrYbwE
 Sq0IVzJvNqy2jATQV54TYye0Jarr+GqO+4IO9LEWcPL+9qoZvo+ZzsL/8Lk+BjN3NvIj
 SMow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=LpheKYlxr085k4IvoWd989bZzontNXCfwYpWD5d95ME=;
 b=EbudzY7qU3Qo+WyCm9Mrd5jYLdiOielz0HL588tGwiUOtQCW7PuHgVu1MkuGDIYeiq
 vkRzigQEImKHFvT/GhBueSHfMmagcygH2Hb/tiIrhXvLDeAakqUetwi7H0yYQKg0cslw
 sabnyyvvxEN2SIU3XvlRaDCNfYxvnOTIuqZfs/0nliRBmyWnzE9kPMvHQ+djhq6OM63e
 RaawBP6EL9qWJBdHuByzKhWfKoTjUf2FV5M7FPAjfht5Ggq1D9T7wAwb1loWmKw+oJMr
 5P+pXKczlz2se2+qfy0uqgqALKN0eRbT7YZ1g/xY1eKR47ojrAFnMKrbJmPH6q3A3btu
 JMKQ==
X-Gm-Message-State: AG10YOSOIs1rbHDg7STIpXZ87dJ4TNejoObOPRndHOg7f+N+qDhQXhLyvjt4DhCjhw0fjLkaXscPnyPrxUdG0g==
MIME-Version: 1.0
X-Received: by 10.50.43.195 with SMTP id y3mr13049697igl.9.1455542687083; Mon,
 15 Feb 2016 05:24:47 -0800 (PST)
Received: by 10.64.129.137 with HTTP; Mon, 15 Feb 2016 05:24:47 -0800 (PST)
In-Reply-To: <mvmbn7inn23.fsf@HIDDEN>
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 <mvmvb5qnukz.fsf@HIDDEN> <87r3gervpm.fsf@HIDDEN>
 <mvmbn7inn23.fsf@HIDDEN>
Date: Mon, 15 Feb 2016 13:24:47 +0000
Message-ID: <CAGxFmCOwKTG5+PCbDPeYJvAuH58-N+pkVH7aR69LTB1rCDjg8w@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
From: Thomas Lynch <thomas.lynch@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: multipart/alternative; boundary=047d7bfe9fe8d1d293052bcef093
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22673
Cc: Alexis <flexibeast@HIDDEN>, 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7bfe9fe8d1d293052bcef093
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Note that every other character appears to work with this same syntax that
neg doesn't,  take for example:

(global-set-key (kbd "C-x g > =3D") "=E2=89=A5")

That and every other character in quotes that I have tried, works fine.
Only neg is different.

On Mon, Feb 15, 2016 at 1:03 PM, Andreas Schwab <schwab@HIDDEN> wrote:

> Alexis <flexibeast@HIDDEN> writes:
>
> > The documentation for the `global-set-key` function, at least in 24.5.3
> > and in the emacs-25 branch as at d9ea7950, doesn't mention this
> > possibility:
> >
> >    (global-set-key KEY COMMAND)
> >
> >    Give KEY a global binding as COMMAND.  COMMAND is the command
> > definition to use; usually it is a symbol naming an
> > interactively-callable function.
> >
> > Perhaps it should be modified to refer to COMMAND-OR-VECTOR?
>
> A vector is a kind of command.  It's a keyboard macro.
>
> ELISP> (commandp [?=C2=AC])
> t
>
> For non-interactive use, define-key is preferred, which has all details.
>
> Andreas.
>
> --
> Andreas Schwab, SUSE Labs, schwab@HIDDEN
> GPG Key fingerprint =3D 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D=
7
> "And now for something completely different."
>

--047d7bfe9fe8d1d293052bcef093
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Note that every other character appears to work with this =
same syntax that neg doesn&#39;t, =C2=A0take for example:<br><br><blockquot=
e style=3D"margin:0 0 0 40px;border:none;padding:0px">(global-set-key (kbd =
&quot;C-x g &gt; =3D&quot;) &quot;=E2=89=A5&quot;)<br><br></blockquote>That=
 and every other character in quotes that I have tried, works fine.=C2=A0 O=
nly neg is different.</div><div class=3D"gmail_extra"><br><div class=3D"gma=
il_quote">On Mon, Feb 15, 2016 at 1:03 PM, Andreas Schwab <span dir=3D"ltr"=
>&lt;<a href=3D"mailto:schwab@HIDDEN" target=3D"_blank">schwab@HIDDEN</a>=
&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0=
 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><span class=3D"">Alexi=
s &lt;<a href=3D"mailto:flexibeast@HIDDEN">flexibeast@HIDDEN</a>&gt; =
writes:<br>
<br>
&gt; The documentation for the `global-set-key` function, at least in 24.5.=
3<br>
&gt; and in the emacs-25 branch as at d9ea7950, doesn&#39;t mention this<br=
>
&gt; possibility:<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 (global-set-key KEY COMMAND)<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 Give KEY a global binding as COMMAND.=C2=A0 COMMAND is th=
e command<br>
&gt; definition to use; usually it is a symbol naming an<br>
&gt; interactively-callable function.<br>
&gt;<br>
&gt; Perhaps it should be modified to refer to COMMAND-OR-VECTOR?<br>
<br>
</span>A vector is a kind of command.=C2=A0 It&#39;s a keyboard macro.<br>
<br>
ELISP&gt; (commandp [?=C2=AC])<br>
t<br>
<br>
For non-interactive use, define-key is preferred, which has all details.<br=
>
<div class=3D"HOEnZb"><div class=3D"h5"><br>
Andreas.<br>
<br>
--<br>
Andreas Schwab, SUSE Labs, <a href=3D"mailto:schwab@HIDDEN">schwab@HIDDEN=
</a><br>
GPG Key fingerprint =3D 0196 BAD8 1CE9 1970 F4BE=C2=A0 1748 E4D4 88E3 0EEA =
B9D7<br>
&quot;And now for something completely different.&quot;<br>
</div></div></blockquote></div><br></div>

--047d7bfe9fe8d1d293052bcef093--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 15 Feb 2016 13:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 08:03:03 2016
Received: from localhost ([127.0.0.1]:39481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVInv-00053t-2l
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 08:03:03 -0500
Received: from mx2.suse.de ([195.135.220.15]:51734)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <schwab@HIDDEN>) id 1aVInt-00053U-KZ
 for 22673 <at> debbugs.gnu.org; Mon, 15 Feb 2016 08:03:02 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id BD47AADEA;
 Mon, 15 Feb 2016 13:03:00 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Alexis <flexibeast@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 <mvmvb5qnukz.fsf@HIDDEN> <87r3gervpm.fsf@HIDDEN>
X-Yow: I'm RELIGIOUS!!  I love a man with a HAIRPIECE!!
 Equip me with MISSILES!!
Date: Mon, 15 Feb 2016 14:03:00 +0100
In-Reply-To: <87r3gervpm.fsf@HIDDEN> (Alexis's message of "Mon, 15 Feb 2016
 23:42:29 +1100")
Message-ID: <mvmbn7inn23.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22673
Cc: Thomas Lynch <thomas.lynch@HIDDEN>, 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Alexis <flexibeast@HIDDEN> writes:

> The documentation for the `global-set-key` function, at least in 24.5.3
> and in the emacs-25 branch as at d9ea7950, doesn't mention this
> possibility:
>
>    (global-set-key KEY COMMAND) 
>
>    Give KEY a global binding as COMMAND.  COMMAND is the command
> definition to use; usually it is a symbol naming an
> interactively-callable function.
>
> Perhaps it should be modified to refer to COMMAND-OR-VECTOR?

A vector is a kind of command.  It's a keyboard macro.

ELISP> (commandp [?¬])
t

For non-interactive use, define-key is preferred, which has all details.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 15 Feb 2016 12:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 07:42:41 2016
Received: from localhost ([127.0.0.1]:39455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVIUD-0004YE-0N
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 07:42:41 -0500
Received: from mail-pa0-f50.google.com ([209.85.220.50]:33251)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <flexibeast@HIDDEN>) id 1aVIUB-0004Y2-Cr
 for 22673 <at> debbugs.gnu.org; Mon, 15 Feb 2016 07:42:39 -0500
Received: by mail-pa0-f50.google.com with SMTP id fl4so73745869pad.0
 for <22673 <at> debbugs.gnu.org>; Mon, 15 Feb 2016 04:42:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-type:content-transfer-encoding;
 bh=a2Uwn5UyItKEGHwbV0xMhc6k2TQxE5OuwPhKllABjeo=;
 b=fObKXkz4zxheGtvTgXEE4efwq4Gmcb3Ch4/2C4CNok1PLt+knIS506FNo2jPVhqd3P
 a+aR1E95lgOena9/fSWgpiHrg/YR+r4LfXv5yLg+WH5ok4sGRcC4FV1+R5QPejk6CJNh
 8vpgB6Y2BN4tlIhc565VMvB0sTgIHxCc7U+jW3NENEQ8uxtm+2hbJS63KpOA7Dc07l6I
 wDqlPodVg8UZFzlCvmWE2gX2I9bpnXd6gZwOhurM2yVO5IB2/1gKtWGq5W/NxeIWth8F
 ygQMqaXU7bK4gBz/yCyQ7wjju3E06KwWwBXVg0ZrFGVwO42OYufpVOl+AzLWi0c1KWbg
 sVnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=a2Uwn5UyItKEGHwbV0xMhc6k2TQxE5OuwPhKllABjeo=;
 b=dxeVLTA5aaeDsvdzykwInqeGB2PeWLxRlfZr1iUOKT6g0Kols5fDh8SL5dMkBeYH+d
 G/nDbP1wzwyiSfq17R8ijaLnqPEUpTjzBm4GD9Q28qTypaT8zAGnfMhazWU7iBumSPzq
 LG6yWAsdvtyzjgk577blAoFXk+B8xKjiJk+1QL6SFJf8mSIuWeiFF4MXcV6SAhPmaGtb
 88L9M9vxCP8teEjq+SSSMrcoVYjZzdgtqelQj9qSzCCzZdc6isG6/KY/Pvbcv5Pddmrm
 uuDF3/Bkb5iF0qGi1B8x+HAKxH/TTJLN/qatyqiUf5HD3m0v14+3t9DM5Fc0b9OL+vN2
 WI4g==
X-Gm-Message-State: AG10YORQgDAwDuAlco00FEkK6OHtVtXiVnBgWbrIGomxA1EbsH4pzbUxFqsJHHXaIC0VpQ==
X-Received: by 10.66.55.6 with SMTP id n6mr23277551pap.35.1455540153712;
 Mon, 15 Feb 2016 04:42:33 -0800 (PST)
Received: from localhost (114-198-79-98.dyn.iinet.net.au. [114.198.79.98])
 by smtp.gmail.com with ESMTPSA id li13sm16310807pab.6.2016.02.15.04.42.32
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Feb 2016 04:42:33 -0800 (PST)
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 <mvmvb5qnukz.fsf@HIDDEN>
User-agent: mu4e 0.9.16; emacs 24.5.3
From: Alexis <flexibeast@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
In-reply-to: <mvmvb5qnukz.fsf@HIDDEN>
Date: Mon, 15 Feb 2016 23:42:29 +1100
Message-ID: <87r3gervpm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22673
Cc: Thomas Lynch <thomas.lynch@HIDDEN>, 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Andreas Schwab <schwab@HIDDEN> writes:

> Thomas Lynch <thomas.lynch@HIDDEN> writes:
>
>> Evaluate the following
>>
>>    (global-set-key (kbd "C-x g neg") "¬")
>
> This is the same as binding [?\C-x ?g ?n ?e ?g] to [?\M-,].  You 
> should use the vector notation instead:
>
> (global-set-key (kbd "C-x g neg") [?¬])

Neat!

The documentation for the `global-set-key` function, at least in 
24.5.3 and in the emacs-25 branch as at d9ea7950, doesn't mention 
this possibility:

    (global-set-key KEY COMMAND) 
 
    Give KEY a global binding as COMMAND.  COMMAND is the command 
    definition to use; usually it is a symbol naming an 
    interactively-callable function.

Perhaps it should be modified to refer to COMMAND-OR-VECTOR?


Alexis.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 15 Feb 2016 10:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 05:20:32 2016
Received: from localhost ([127.0.0.1]:39376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVGGd-0007q9-Pi
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 05:20:31 -0500
Received: from mx2.suse.de ([195.135.220.15]:34330)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <schwab@HIDDEN>) id 1aVGGc-0007q0-1j
 for 22673 <at> debbugs.gnu.org; Mon, 15 Feb 2016 05:20:30 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay1.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id BAF4CAAB7;
 Mon, 15 Feb 2016 10:20:28 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Thomas Lynch <thomas.lynch@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
X-Yow: I'm having fun HITCHHIKING to CINCINNATI or FAR ROCKAWAY!!
Date: Mon, 15 Feb 2016 11:20:28 +0100
In-Reply-To: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
 (Thomas Lynch's message of "Mon, 15 Feb 2016 02:10:58 +0000")
Message-ID: <mvmvb5qnukz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22673
Cc: 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Thomas Lynch <thomas.lynch@HIDDEN> writes:

> Evaluate the following
>
>    (global-set-key (kbd "C-x g neg") "¬")

This is the same as binding [?\C-x ?g ?n ?e ?g] to [?\M-,].  You should
use the vector notation instead:

(global-set-key (kbd "C-x g neg") [?¬])

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at 22673 <at> debbugs.gnu.org:


Received: (at 22673) by debbugs.gnu.org; 15 Feb 2016 08:44:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 03:44:36 2016
Received: from localhost ([127.0.0.1]:39330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVEln-0005Zw-Oo
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 03:44:35 -0500
Received: from mail-pf0-f180.google.com ([209.85.192.180]:34470)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <flexibeast@HIDDEN>) id 1aVElm-0005Zj-A6
 for 22673 <at> debbugs.gnu.org; Mon, 15 Feb 2016 03:44:34 -0500
Received: by mail-pf0-f180.google.com with SMTP id x65so84115573pfb.1
 for <22673 <at> debbugs.gnu.org>; Mon, 15 Feb 2016 00:44:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-type:content-transfer-encoding;
 bh=lK7IjvlEiVlDMOh8fddZd4BaxqVQJQesBZ0WW7AcJPc=;
 b=Wgm7oSdr/bg5NB7QYpIgz2Fcg0TuEer9lH6tI1inXHOxcrB62J3p1O1HcO5pJwBZJT
 HWaXlahJDLZWoJwpmTFqpWdUCRxrxizAwjpj4rH4SmVezyHhH8HfA7198p69t6n4Aubf
 ygDSc0PI7SHJ9j9acPxAHaGBP1Dzt4vdXkColhdEhdjeWgd7q+VohEwNdCL2dV6EUR0x
 1OPXQlSZ80aas2gKGxoC1ZKU6QXuHS1dY5pD2T/p9p2WGHBBoortnvQMLXa1oEF+ROQt
 Hx5SGZqn1Kjgm4mTMIxgsTeupazDwYeyEdMK75rvClzzmuzcgxn81lovqTe0eR9+ARHq
 2lag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=lK7IjvlEiVlDMOh8fddZd4BaxqVQJQesBZ0WW7AcJPc=;
 b=MHuhp+D6GhBxXrMrghTGchmRTOHYYpVUAglsjgaO5r9ok91XWUbSFqjeRJ4aHJPDw2
 UJQqhQ2m7ARe4HbIz0QQxD0pSl6DbDlLhyt9uBynCToXpdpGy6wGUVmZfVZ+CnsBDcrl
 0jXAJKJ1lURm06/IrPhlhnYJhmB05Tn3Jnw9ojZZhKPr+bVV8lJwmCRY0wMbQ+izsGNT
 FxmUkYVLBhUqALfYo2+c63EleU+b7c5IdQMnR6lYQSUX3eyT/qlcxM1Dpqx+QIBLxRQ6
 NXNkAcXGJhUP/fUeUDYjEAsM5XteKLO8Q3UrCs+BFmo6V6gd7a/v4EkyZI1jkTDHa8gV
 NbHQ==
X-Gm-Message-State: AG10YOThjEdEmdt+1wiY1+tpi1RaBYOOCemFEfDEna4PFSS6i+3CHRXp+IzgehnsGoQLSQ==
X-Received: by 10.98.14.149 with SMTP id 21mr21717236pfo.79.1455525868514;
 Mon, 15 Feb 2016 00:44:28 -0800 (PST)
Received: from localhost (114-198-79-98.dyn.iinet.net.au. [114.198.79.98])
 by smtp.gmail.com with ESMTPSA id xg9sm20452222pac.9.2016.02.15.00.44.27
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 15 Feb 2016 00:44:27 -0800 (PST)
References: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
User-agent: mu4e 0.9.16; emacs 24.5.3
From: Alexis <flexibeast@HIDDEN>
To: Thomas Lynch <thomas.lynch@HIDDEN>
Subject: Re: bug#22673: 24.5; global set key neg freaks out emacs
In-reply-to: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
Date: Mon, 15 Feb 2016 19:44:24 +1100
Message-ID: <87wpq6s6qf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22673
Cc: 22673 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


Thomas Lynch <thomas.lynch@HIDDEN> writes:

> Evaluate the following
>
>    (global-set-key (kbd "C-x g neg") "¬")
>
> Now use it, and instead of getting neg, you get the error:
>
>    After 0 kbd macro iterations: user-error: No M-x tags-search 
>    or M-x 
> tags-query-replace in progress

Are you wanting to use 'C-x g neg' to insert the symbol "¬" into 
the buffer? If so, you'll need to create a command for 
`global-set-key` to call, which does the insertion, e.g.

    (global-set-key (kbd "C-x g neg")
                    (lambda () 
                      (interactive) (insert "¬")))

If this is not what you're after, could you please explain further 
what you're trying to do?


Alexis.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Feb 2016 06:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 15 01:26:04 2016
Received: from localhost ([127.0.0.1]:39275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aVCbk-0000gp-8k
	for submit <at> debbugs.gnu.org; Mon, 15 Feb 2016 01:26:04 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45562)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8d3-0001Yk-RF
 for submit <at> debbugs.gnu.org; Sun, 14 Feb 2016 21:11:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8cx-0003We-1w
 for submit <at> debbugs.gnu.org; Sun, 14 Feb 2016 21:11:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57752)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8cw-0003WX-UL
 for submit <at> debbugs.gnu.org; Sun, 14 Feb 2016 21:11:02 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36517)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8cv-0003nN-9F
 for bug-gnu-emacs@HIDDEN; Sun, 14 Feb 2016 21:11:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8ct-0003Vm-Hq
 for bug-gnu-emacs@HIDDEN; Sun, 14 Feb 2016 21:11:01 -0500
Received: from mail-ig0-x229.google.com ([2607:f8b0:4001:c05::229]:38880)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomas.lynch@HIDDEN>)
 id 1aV8ct-0003Vc-8W
 for bug-gnu-emacs@HIDDEN; Sun, 14 Feb 2016 21:10:59 -0500
Received: by mail-ig0-x229.google.com with SMTP id y8so45870654igp.1
 for <bug-gnu-emacs@HIDDEN>; Sun, 14 Feb 2016 18:10:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=reasoningtechnology-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=oCcg8udFfceoxcFMuEye5gXIDd7HDOA8YRwF7TLBHLg=;
 b=Cs3X2onQTv5Cs2HLtOOjnB4Ccbzo2tQ0cwart1Wwodstuml/Bg/XCIaXWnK2sIVjRV
 jJ62kEv3dOriVMa2jJeVyhGvn3/eZtMmMY0V0pGQvTCpHEVb2200GJdfSvnrgppiu5yb
 jGsXSTpqBLgbDfmCOd2SGzGNHsVcU5RX286+JABL2tx3n6unCeEmFK/hH4C2f873T6st
 RAo8Qp+Mt0UwUUn4f/CEjo+fY4s35s1uxCoABTIJQuSSrwec2ErD7xydZ2LqjwH4Bw+Q
 uWVQisDcMtTbm6DBltpbld0QFW7Cy3xcZKu4XebpQA++uRVBR7wjak1EfpFALikwTPa4
 2TFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=oCcg8udFfceoxcFMuEye5gXIDd7HDOA8YRwF7TLBHLg=;
 b=LbljWknQnvc4+fpQzfsQG0JFmNyJFxmxllV3NPFK0v0u1ENyJp1UH6T4nnfHoai549
 3ssEtqNw6LTZhNgn5dW55imaYor6QhXEjPHCm6K5F5PcB60D3e+d9ii+MDsvQlrwoCxK
 MpQ1MZEOT9jJ1Cbzo8LQpnKjIaD3ZFPZ2met0jjx0SuRvOd7MFjsUTa2ts7J2O7cyj86
 e7To0l44+jad+vDRvpQgxhjmreBykaILVCZ4M/L+kG6jpMfTdhDkbDG1cQ+xGzZk6wPb
 FiSVRmxeq6xJxiReTFthluOioiOKQONU64rc2bxpcNbjCFuUjtHl6nOsL7QJKJH58joS
 tFNQ==
X-Gm-Message-State: AG10YOTQSkig87hvlEk6vw7cA9N6IfXiCWcAdEj6005al971PU2RSnfVq4dNLYHjFVjSCIjMsusO4NxvpI8JeA==
MIME-Version: 1.0
X-Received: by 10.50.64.146 with SMTP id o18mr10422236igs.9.1455502258306;
 Sun, 14 Feb 2016 18:10:58 -0800 (PST)
Received: by 10.64.129.137 with HTTP; Sun, 14 Feb 2016 18:10:58 -0800 (PST)
Date: Mon, 15 Feb 2016 02:10:58 +0000
Message-ID: <CAGxFmCOy0BGWBi8qipV57PHa18fUoW0hd6OFWkBPjdy18G070Q@HIDDEN>
Subject: 24.5; global set key neg freaks out emacs
From: Thomas Lynch <thomas.lynch@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=047d7bea43fc1398e4052bc58762
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 15 Feb 2016 01:26:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--047d7bea43fc1398e4052bc58762
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Evaluate the following

   (global-set-key (kbd "C-x g neg") "=C2=AC")

Now use it, and instead of getting neg, you get the error:

   After 0 kbd macro iterations: user-error: No M-x tags-search or M-x
tags-query-replace in progress








In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.2)
 of 2015-10-24 on trouble, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11703000
System Description: Debian GNU/Linux testing (stretch)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-li=
sp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-li=
sp:/usr/share/emacs/site-lisp
 --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars
 'CFLAGS=3D-g -O2 -fstack-protector-strong -Wformat
 -Werror=3Dformat-security -Wall' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-z,relro'

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  dirtrack-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
uncompressing utf-7.el.gz...done
Note: file is write protected
End of buffer [3 times]
Mark set
Making completion list...
Quit [2 times]
Making completion list...
Mark set
C-c M-w is undefined
Mark activated

Load-path shadows:
/usr/share/emacs/24.5/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/24.5/lisp/language/thai-word

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils dired pcmpl-gnu thai-util thai-word jka-compr
iso-transl pcmpl-unix rect mule-util ispell misearch multi-isearch
help-mode vc-git dirtrack shell pcomplete info package epg-config
wheatgrass-theme slime-fancy slime-trace-dialog slime-fontifying-fu
slime-package-fu slime-references slime-compiler-notes-tree
slime-scratch slime-presentations advice bridge slime-mdot-fu
slime-enclosing-context slime-fuzzy slime-fancy-trace
slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
eldoc slime-repl elp slime-parse slime byte-opt bytecomp byte-compile
cconv derived cl-extra help-fns gud apropos compile etags arc-mode
archive-mode noutline outline easy-mmode easymenu pp comint ansi-color
ring hyperspec cl-macs thingatpt browse-url cl gv slime-autoloads
edmacro kmacro cl-loaddefs cl-lib time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 538849 23698)
  (symbols 48 36343 0)
  (miscs 40 791 842)
  (strings 32 89094 14725)
  (string-bytes 1 2124898)
  (vectors 16 31542)
  (vector-slots 8 1464374 205774)
  (floats 8 108 762)
  (intervals 56 18016 1613)
  (buffers 960 28)
  (heap 1024 100326 1595))

--047d7bea43fc1398e4052bc58762
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br></div><div>Evaluate the following</div><div>=C2=
=A0 =C2=A0</div><div>=C2=A0 =C2=A0(global-set-key (kbd &quot;C-x g neg&quot=
;) &quot;=C2=AC&quot;)</div><div><br></div><div>Now use it, and instead of =
getting neg, you get the error:</div><div><br></div><div>=C2=A0 =C2=A0After=
 0 kbd macro iterations: user-error: No M-x tags-search or M-x tags-query-r=
eplace in progress</div><div><br></div><div><br></div><div><br></div><div><=
br></div><div><br></div><div><br></div><div><br></div><div><br></div><div>I=
n GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.2)</div><div>=C2=
=A0of 2015-10-24 on trouble, modified by Debian</div><div>Windowing system =
distributor `The X.Org Foundation&#39;, version 11.0.11703000</div><div>Sys=
tem Description:<span class=3D"" style=3D"white-space:pre">	</span>Debian G=
NU/Linux testing (stretch)</div><div><br></div><div>Configured using:</div>=
<div>=C2=A0`configure --build x86_64-linux-gnu --prefix=3D/usr</div><div>=
=C2=A0--sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib</div><div>=C2=A0-=
-localstatedir=3D/var/lib --infodir=3D/usr/share/info</div><div>=C2=A0--man=
dir=3D/usr/share/man --with-pop=3Dyes</div><div>=C2=A0--enable-locallisppat=
h=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/loca=
l/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/si=
te-lisp</div><div>=C2=A0--build x86_64-linux-gnu --prefix=3D/usr --sharedst=
atedir=3D/var/lib</div><div>=C2=A0--libexecdir=3D/usr/lib --localstatedir=
=3D/var/lib</div><div>=C2=A0--infodir=3D/usr/share/info --mandir=3D/usr/sha=
re/man --with-pop=3Dyes</div><div>=C2=A0--enable-locallisppath=3D/etc/emacs=
24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/=
site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp</div><=
div>=C2=A0--with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars=
</div><div>=C2=A0&#39;CFLAGS=3D-g -O2 -fstack-protector-strong -Wformat</di=
v><div>=C2=A0-Werror=3Dformat-security -Wall&#39; CPPFLAGS=3D-D_FORTIFY_SOU=
RCE=3D2</div><div>=C2=A0LDFLAGS=3D-Wl,-z,relro&#39;</div><div><br></div><di=
v>Important settings:</div><div>=C2=A0 value of $LANG: en_US.utf8</div><div=
>=C2=A0 locale-coding-system: utf-8-unix</div><div><br></div><div>Major mod=
e: Shell</div><div><br></div><div>Minor modes in effect:</div><div>=C2=A0 d=
irtrack-mode: t</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 electric-=
indent-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 file-n=
ame-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div><div>=C2=
=A0 font-lock-mode: t</div><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=
=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryption-mode: t</div>=
<div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 line-number-mode: t</=
div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Recent mess=
ages:</div><div>uncompressing utf-7.el.gz...done</div><div>Note: file is wr=
ite protected</div><div>End of buffer [3 times]</div><div>Mark set</div><di=
v>Making completion list...</div><div>Quit [2 times]</div><div>Making compl=
etion list...</div><div>Mark set</div><div>C-c M-w is undefined</div><div>M=
ark activated</div><div><br></div><div>Load-path shadows:</div><div>/usr/sh=
are/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/de=
bian-startup</div><div>/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-wor=
d hides /usr/share/emacs/24.5/lisp/language/thai-word</div><div><br></div><=
div>Features:</div><div>(shadow sort gnus-util mail-extr emacsbug message f=
ormat-spec rfc822 mml</div><div>mml-sec mm-decode mm-bodies mm-encode mail-=
parse rfc2231 mailabbrev</div><div>gmm-utils mailheader sendmail rfc2047 rf=
c2045 ietf-drums mm-util</div><div>mail-prsvr mail-utils dired pcmpl-gnu th=
ai-util thai-word jka-compr</div><div>iso-transl pcmpl-unix rect mule-util =
ispell misearch multi-isearch</div><div>help-mode vc-git dirtrack shell pco=
mplete info package epg-config</div><div>wheatgrass-theme slime-fancy slime=
-trace-dialog slime-fontifying-fu</div><div>slime-package-fu slime-referenc=
es slime-compiler-notes-tree</div><div>slime-scratch slime-presentations ad=
vice bridge slime-mdot-fu</div><div>slime-enclosing-context slime-fuzzy sli=
me-fancy-trace</div><div>slime-fancy-inspector slime-c-p-c slime-editing-co=
mmands slime-autodoc</div><div>eldoc slime-repl elp slime-parse slime byte-=
opt bytecomp byte-compile</div><div>cconv derived cl-extra help-fns gud apr=
opos compile etags arc-mode</div><div>archive-mode noutline outline easy-mm=
ode easymenu pp comint ansi-color</div><div>ring hyperspec cl-macs thingatp=
t browse-url cl gv slime-autoloads</div><div>edmacro kmacro cl-loaddefs cl-=
lib time-date tooltip electric uniquify</div><div>ediff-hook vc-hooks lisp-=
float-type mwheel x-win x-dnd tool-bar dnd</div><div>fontset image regexp-o=
pt fringe tabulated-list newcomment lisp-mode</div><div>prog-mode register =
page menu-bar rfn-eshadow timer select scroll-bar</div><div>mouse jit-lock =
font-lock syntax facemenu font-core frame cham georgian</div><div>utf-8-lan=
g misc-lang vietnamese tibetan thai tai-viet lao korean</div><div>japanese =
hebrew greek romanian slovak czech european ethiopic indian</div><div>cyril=
lic chinese case-table epa-hook jka-cmpr-hook help simple abbrev</div><div>=
minibuffer nadvice loaddefs button faces cus-face macroexp files</div><div>=
text-properties overlay sha1 md5 base64 format env code-pages mule</div><di=
v>custom widget hashtable-print-readable backquote make-network-process</di=
v><div>dbusbind gfilenotify dynamic-setting system-font-setting</div><div>f=
ont-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)</div><div>=
<br></div><div>Memory information:</div><div>((conses 16 538849 23698)</div=
><div>=C2=A0 (symbols 48 36343 0)</div><div>=C2=A0 (miscs 40 791 842)</div>=
<div>=C2=A0 (strings 32 89094 14725)</div><div>=C2=A0 (string-bytes 1 21248=
98)</div><div>=C2=A0 (vectors 16 31542)</div><div>=C2=A0 (vector-slots 8 14=
64374 205774)</div><div>=C2=A0 (floats 8 108 762)</div><div>=C2=A0 (interva=
ls 56 18016 1613)</div><div>=C2=A0 (buffers 960 28)</div><div>=C2=A0 (heap =
1024 100326 1595))</div><div><br></div></div>

--047d7bea43fc1398e4052bc58762--




Acknowledgement sent to Thomas Lynch <thomas.lynch@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22673; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.